<template>
  <div :title="t('产线工料废分析')" :loading="loading">
    <div ref="chartRef" :style="{ width, height }"></div>
  </div>
</template>
<script lang="ts" setup>
  import { Ref, ref, watch } from 'vue';
  import { Card } from 'ant-design-vue';
  import { useECharts } from '/@/hooks/web/useECharts';
  import { useI18n } from '/@/hooks/web/useI18n';
  const { t } = useI18n();
  const props = defineProps({
    loading: Boolean,
    width: {
      type: String as PropType<string>,
      default: '100%',
    },
    height: {
      type: String as PropType<string>,
      default: '300px',
    },
  });
  const chartRef = ref<HTMLDivElement | null>(null);
  const { setOptions } = useECharts(chartRef as Ref<HTMLDivElement>);

  watch(
    () => props.loading,
    () => {
      if (props.loading) {
        return;
      }
      setOptions({
        legend: {
          bottom: 0,
          data: [t('工废数'), t('料废数'), t('其他')],
        },
        tooltip: {},
        radar: {
          radius: '60%',
          splitNumber: 8,
          indicator: [
            {
              name: t('机加一部'),
            },
            {
              name: t('机加二部'),
            },
            {
              name: t('机加三部'),
            },
            {
              name: t('机加四部'),
            },
            {
              name: t('压铸一部'),
            },
            {
              name: t('压铸二部'),
            },
          ],
        },
        series: [
          {
            type: 'radar',
            symbolSize: 0,
            areaStyle: {
              shadowBlur: 0,
              shadowColor: 'rgba(0,0,0,.2)',
              shadowOffsetX: 0,
              shadowOffsetY: 10,
              opacity: 1,
            },
            data: [
              {
                value: [90, 50, 86, 40, 50, 20],
                name: t('工废数'),
                itemStyle: {
                  color: 'rgba(0,202,207,0.4)',
                },
              },
              {
                value: [70, 75, 70, 76, 20, 85],
                name: t('料废数'),
                itemStyle: {
                  color: 'rgba(254,143,103,0.4)',
                },
              },
              {
                value: [50, 75, 70, 36, 20, 23],
                name: t('其他'),
                itemStyle: {
                  color: 'rgba(140,125,252,0.4)',
                },
              },
            ],
          },
        ],
      });
    },
    { immediate: true },
  );
</script>
